Update a tool
curl --request POST \
--url https://api.cleartalk.ai/tools/{toolID}/update \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data @- <<EOF
{
"name": "confirmationNumber",
"description": "Here's your case reference number",
"speech": "one moment GP",
"url": "https://staging.cleartalk.ai/randomNumber",
"method": "GET",
"headers": {
"Content-Type": "application/json"
},
"body": {},
"query": {},
"input_schema": {},
"response": {},
"timeout": 30
}
EOFimport requests
url = "https://api.cleartalk.ai/tools/{toolID}/update"
payload = {
"name": "confirmationNumber",
"description": "Here's your case reference number",
"speech": "one moment GP",
"url": "https://staging.cleartalk.ai/randomNumber",
"method": "GET",
"headers": { "Content-Type": "application/json" },
"body": {},
"query": {},
"input_schema": {},
"response": {},
"timeout": 30
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'confirmationNumber',
description: 'Here\'s your case reference number',
speech: 'one moment GP',
url: 'https://staging.cleartalk.ai/randomNumber',
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({}),
query: {},
input_schema: {},
response: {},
timeout: 30
})
};
fetch('https://api.cleartalk.ai/tools/{toolID}/update', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Tools
Update a tool
POST
/
tools
/
{toolID}
/
update
Update a tool
Authorizations
API Key for authentication
Path Parameters
Body
application/json
Name of the tool
Example:
"confirmationNumber"
Description of the tool
Example:
"Here's your case reference number"
Speech response for the tool
Example:
"one moment GP"
URL endpoint for the tool
Example:
"https://staging.cleartalk.ai/randomNumber"
HTTP method for the tool
Available options:
GET, POST, PUT, DELETE, PATCH Example:
"GET"
HTTP headers for the request
Example:
{ "Content-Type": "application/json" }
Request body parameters
Example:
{}
Query parameters
Example:
{}
Input schema for the tool
Example:
{}
Response schema for the tool
Example:
{}
Timeout in seconds
Example:
30
Response
Tool updated successfully
⌘I
